## org.biojava.bio.gui.sequence
Class CircularFeaturesRenderer

    java.lang.Object
      org.biojava.bio.gui.sequence.CircularFeaturesRenderer

All Implemented Interfaces:
  CircularRenderer

    public class CircularFeaturesRenderer

extends Object
implements CircularRenderer

Author:
  Matthew Pocock

Constructor Summary
`CircularFeaturesRenderer()`
`CircularFeaturesRenderer(CircularFeatureRenderer renderer)`

Method Summary
`double` `getDepth(CircularRendererContext crc)` Get the depth needed for this renderer.
`CircularFeatureRenderer` `getRenderer()`
`void` `paint(Graphics2D g2, CircularRendererContext crc)` Paint this renderer.
`void` `setRenderer(CircularFeatureRenderer renderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircularFeaturesRenderer

    public CircularFeaturesRenderer()

### CircularFeaturesRenderer

    public CircularFeaturesRenderer(CircularFeatureRenderer renderer)

Method Detail

### getRenderer

    public CircularFeatureRenderer getRenderer()

### setRenderer

    public void setRenderer(CircularFeatureRenderer renderer)

### getDepth

    public double getDepth(CircularRendererContext crc)

  Description copied from interface: `CircularRenderer`
  Get the depth needed for this renderer.

  Specified by:
    `getDepth` in interface `CircularRenderer`
  Parameters:
    `crc` - the CircularRendererContext to render information from
  Returns:
    the depth required to render the context

### paint

    public void paint(Graphics2D g2,
                      CircularRendererContext crc)

  Description copied from interface: `CircularRenderer`
  Paint this renderer.

  Specified by:
    `paint` in interface `CircularRenderer`
  Parameters:
    `g2` - the graphics to paint to
    `crc` - the context giving the data to paint